<html><head><META http-equiv="Content-Type" content="text/html; charset=UTF-8"><link type="text/css" href="../../../../..//default_style.css" rel="stylesheet"><link type="text/css" href="../../../../..//webtools/wtp.css" rel="stylesheet"><title>WTP Milestone 3</title></head><body><table border="0" cellpadding="2" cellspacing="5" width="100%"><tbody><tr><td align="left" width="60%"><font class="indextop">HTML Test Plan</font><br><font class="indexsub">WTP Milestone 3</font></td><td width="40%"><img src="../../../../..//webtools/images/wtplogosmall.jpg" align="middle" height="129" hspace="50" width="207" alt="WTP Logo" usemap="logomap"><map id="logomap" name="logomap"><area coords="0,0,207,129" href="/webtools/" alt="WTP Home"></map></td></tr></tbody></table><table border="0" cellpadding="2" cellspacing="5" width="100%"><col width="16"><col width="*"><tbody><tr><td colspan="2" align="left" bgcolor="#0080c0" valign="top"><b><font color="#ffffff" face="Arial,Helvetica">Status of this Plan</font></b></td></tr><tr><td align="right" valign="top">
                &nbsp;
            </td><td valign="top"><p>Proposed Plan (2-18-2005)</p></td></tr><tr><td colspan="2" align="left" bgcolor="#0080c0" valign="top"><b><font color="#ffffff" face="Arial,Helvetica">Overall goals</font></b></td></tr><tr><td align="right" valign="top"><img src="../../../../..//images/Adarrow.gif" border="0" height="16" width="16"></td><td><b>Co-developer Testing</b></td></tr><tr><td align="right" valign="top">
                &nbsp;
            </td><td valign="top"><p>
			We will inspect "runtime" version of build to be
			sure extra source is not included, and more important, we'll
			inspect and test importing SDK version to be sure all
			relevant "open source" is included in that SDK
			build and that it correctly imports into a development
			environment.
		</p></td></tr><tr><td align="right" valign="top"><img src="../../../../..//images/Adarrow.gif" border="0" height="16" width="16"></td><td><b>API Testing</b></td></tr><tr><td align="right" valign="top">
                &nbsp;
            </td><td valign="top"><p>
			Here in M3 we don't consider we have any official API yet
			(since not spec'd as such) but will reserve this space for
			future plans to details were API Unit tests are, their
			coverage, etc.
		</p></td></tr><tr><td align="right" valign="top">
                &nbsp;
            </td><td valign="top"><p>
			We do have several hundred unit tests which we expect to be
			running and passing for M3, which test various
			aspects of parsing, model creation, and correct charset
			handling, among other things.
		</p></td></tr><tr><td align="right" valign="top"><img src="../../../../..//images/Adarrow.gif" border="0" height="16" width="16"></td><td><b>End User Testing</b></td></tr><tr><td align="right" valign="top">
                &nbsp;
            </td><td valign="top"><p>
			The nature of the end-user
			testing is intentionally planned to be "ad hoc" instead of
			specifying step by step "how to" directions and specific
			"expected results" sections often seen in test cases. This
			is done because its felt leads to greater number of "paths"
			being tested, and allows end-users more motivation for
			logging "bugs" if things didn't work as
			<i>they</i> expected, even if it is working as designed.
		</p></td></tr><tr><td align="right" valign="top">
                &nbsp;
            </td><td valign="top"><p>
			As we progress through milestones, we'll add more and more
			detail for special cases, special files, special projects,
			etc.When we do have special or sample test files and
			projects, we will keep those stored in CVS, as projects
			under a
			<i>testdata</i>
			directory under the
			<i>development</i>
			directory of relevant component so that testers (from
			immediate team, or community) can easily check out into the
			environment being tested.
		</p></td></tr><tr><td align="right" valign="top"><img src="../../../../..//images/Adarrow.gif" border="0" height="16" width="16"></td><td><b>Platform Testing</b></td></tr><tr><td align="right" valign="top">
                &nbsp;
            </td><td valign="top"><p>
			While we do not have any platform specific code, or
			function, we will have some team members do end-user tests
			on Linux, some on Windows. We will also confirm unit tests
			pass on both platforms.
		</p></td></tr><tr><td align="right" valign="top"><img src="../../../../..//images/Adarrow.gif" border="0" height="16" width="16"></td><td><b>Performance Testing</b></td></tr><tr><td align="right" valign="top">
                &nbsp;
            </td><td valign="top"><p>
			We have added (some) automated performance tests along the lines
			of the Eclipse base performance unit tests in future
			milestones.  These are currently in the <b>org.eclipse.wst.*.ui.tests.performance</b>
			and <b>org.eclipse.jst.jsp.ui.tests.performance</b> plugins.
			<br>
			<br>
			We will continue to add more test cases in upcoming milestones.		
		</p></td></tr><tr><td colspan="2" align="left" bgcolor="#0080c0" valign="top"><b><font color="#ffffff" face="Arial,Helvetica">HTML Tests</font></b></td></tr><tr><td align="right" valign="top">
                &nbsp;
            </td><td valign="top"><ul>
			<li>check Source Editing features from the <a href="../../../../wst/components/sse/M3/milestone_test_plan.xml#matrix">feature matrix</a></li>
			<li>
				check "embedded languages" (CSS, JavaScript)
				have same features as indicated in the <a href="../../../../wst/components/sse/M3/milestone_test_plan.xml#matrix">feature matrix</a>
			</li>
			<li>
				A quick sanity check that preferences have effect, and
				do no harm. Only quick check, since many changes planned
				in this are for future milestones.
			</li>
		</ul></td></tr><tr><td colspan="2" align="left" bgcolor="#0080c0" valign="top"><b><font color="#ffffff" face="Arial,Helvetica">XHTML Tests</font></b></td></tr><tr><td align="right" valign="top">
                &nbsp;
            </td><td valign="top"><ul>
			<li>check Source Editing features from the <a href="../../../../wst/components/sse/M3/milestone_test_plan.xml#matrix">feature matrix</a></li>
			<li>
				check "embedded languages" (CSS, JavaScript)
				have same features as indicated in the <a href="../../../../wst/components/sse/M3/milestone_test_plan.xml#matrix">feature matrix</a>.
			</li>
			<li>
				Check that the standard different doctypes give
				different, correct content assist.
			</li>
			<li>
				A quick sanity check that preferences have effect, and
				do no harm. Only quick check, since many changes planned
				in this are for future milestones.
			</li>
		</ul></td></tr><tr><td colspan="2" align="left" bgcolor="#0080c0" valign="top"><b><font color="#ffffff" face="Arial,Helvetica">Specific Test Items for M3</font></b></td></tr><tr><td align="right" valign="top">
                &nbsp;
            </td><td valign="top"><p>
			<ul>
				<li>
					as you type validation:
					<ul>
						<li>
							job based, make sure squiggles show up when
							they should and are removed when problems
							are fixed
						</li>
						<li>
							test various partition types in the document
						</li>
						
					</ul>
				</li>
				<li>
					html validation:
					<ul>
						<li>batch workbench validation, as-you-type</li>
					</ul>
				</li>

				<li>
					hyperlink open on:
					<ul>
						<li>Java Elements, href, includes, link, style, etc...</li>
					</ul>
				</li>

				<li>
					preferences:
					<ul>
						<li>how we use the preferences in the "All Text Editors"
					         preference page now.
					    </li>
						<li>make sure preferenes work</li>
						<li>after shutdown and restart</li>
					</ul>
				</li>
				
				<li>
					run performance unit tests:
					<ul>
						<li>
							record results for comparison with future
							milestones
						</li>
					</ul>
				</li>

				<li>
					profiling:
					<ul>
						<li>test basic editor functions and look for 
							problem areas (large memory consumption, intense cpu usage)
						</li>
					</ul>
				</li>
				
				<li>
					sleak:
					<ul>
						<li>
							run through basic editor functions and look
							for memory leaks
						</li>
					</ul>
				</li>
			</ul>
		</p></td></tr><tr><td colspan="2" align="left" bgcolor="#0080c0" valign="top"><b><font color="#ffffff" face="Arial,Helvetica">Source Editing Test Plans</font></b></td></tr><tr><td align="right" valign="top">
                &nbsp;
            </td><td valign="top"><p>
			<a href="../../../../wst/components/sse/M3/milestone_test_plan.html">org.eclipse.wst.sse</a>
			<br><a href="../../../../wst/components/xml/M3/milestone_test_plan.html">org.eclipse.wst.xml</a>
			<br><a href="../../../../wst/components/html/M3/milestone_test_plan.html">org.eclipse.wst.html</a>
			<br><a href="../../../../wst/components/css/M3/milestone_test_plan.html">org.eclipse.wst.css</a>
			<br><a href="../../../../wst/components/dtd/M3/milestone_test_plan.html">org.eclipse.wst.dtd</a>
			<br><a href="../../../../wst/components/javascript/M3/milestone_test_plan.html">org.eclipse.wst.javascript</a>
			
			<br><a href="../../../../jst/components/jsp/M3/milestone_test_plan.html">org.eclipse.jst.jsp</a>	
		</p></td></tr></tbody></table></body></html>